
#include "app.h"

#include <Wt/WContainerWidget>
#include <Wt/WText>
#include <Wt/WGridLayout>
#include <iostream>

App::App( Wt::WEnvironment const& env ):
  Wt::WApplication( env )
{
  useStyleSheet( "style.css" );

  root()->setStyleClass( "Container" );
  Wt::WGridLayout* l = new Wt::WGridLayout();
  root()->setLayout( l );

  int const ROWS = 3;
  int colIdx = 0;
  for( int i = 0; i < ROWS; ++i )
  {
    Wt::WContainerWidget* normal = new Wt::WContainerWidget();
    normal->setStyleClass( "Normal" );
    l->addWidget( normal, i, colIdx );
  }

  ++colIdx;

  Wt::WContainerWidget* spanned = new Wt::WContainerWidget();
  spanned->setStyleClass( "Spanned" );
  l->addWidget( spanned, 0, colIdx, ROWS, 1 );
}

App::~App()
{
}

